// SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef COMMON_H
#define COMMON_H

#include "dialog/commondialog.h"
#include "dialog/wgetdialog.h"
#include "dialog/pip3dialog.h"
#include "dialog/processdialog.h"
#include "inotify/inotify.h"
#include "lsp/lsp.h"
#include "type/constants.h"
#include "type/menuext.h"
#include "util/customicons.h"
#include "util/custompaths.h"
#include "util/eventdefinitions.h"
#include "util/polkit.h"
#include "util/processutil.h"
#include "util/singleton.h"
#include "util/shortcututil.h"
#include "util/fileoperation.h"
#include "util/environment.h"
#include "util/commandparser.h"
#include "supportfile/editorstyle.h"
#include "supportfile/windowstyle.h"
#include "supportfile/language.h"
#include "widget/pagewidget.h"
#include "widget/configurewidget.h"
#include "widget/collapsewidget.h"
#include "widget/detailsbutton.h"
#include "widget/singlechoicebox.h"
#include "widget/statuswidget.h"
#include "widget/elidedlabel.h"
#include "widget/generator.h"
#include "toolchain/toolchain.h"
#include "actionmanager/actionmanager.h"
#include "actionmanager/command.h"
#include "project/projectinfo.h"

#endif // COMMON_H
